# Generated from sinatra-contrib-1.4.6.gem by gem2rpm -*- rpm-spec -*-
%global gem_name sinatra-contrib

Name: rubygem-%{gem_name}
Version: 1.4.6
Release: 1%{?dist}
Summary: Collection of useful Sinatra extensions
Group: Development/Languages
License: MIT
URL: http://github.com/sinatra/sinatra-contrib
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) => 2.3
# BuildRequires: rubygem(rspec) < 3
# BuildRequires: rubygem(haml)
# BuildRequires: rubygem(erubis)
# BuildRequires: rubygem(slim)
# BuildRequires: rubygem(less)
# BuildRequires: rubygem(sass)
# BuildRequires: rubygem(builder)
# BuildRequires: rubygem(liquid)
# BuildRequires: rubygem(redcarpet)
# BuildRequires: rubygem(RedCloth)
# BuildRequires: rubygem(asciidoctor)
# BuildRequires: rubygem(radius)
# BuildRequires: rubygem(coffee-script)
# BuildRequires: rubygem(nokogiri)
# BuildRequires: rubygem(creole)
# BuildRequires: rubygem(wikicloth)
# BuildRequires: rubygem(markaby)
BuildArch: noarch

%description
Collection of useful Sinatra extensions.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/




# Run the test suite
%check
pushd .%{gem_instdir}

popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_instdir}/ideas.md
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/sinatra-contrib.gemspec
%{gem_instdir}/spec

%changelog
* Fri Nov 11 2016 Tim <tim.gluster@gmail.com> - 1.4.6-1
- Initial package
